From c7e3a94a84e52ffa6d31a8e46f9bd40d765dceb4 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 01:10:52 +0100
Subject: [PATCH 34/54] chore: cfg_attr for power cap section instead of
 duplicating entire struct definition

---
 .../root_stack/oc_page/power_cap_section.rs   | 26 ++-----------------
 1 file changed, 2 insertions(+), 24 deletions(-)

diff --git a/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs b/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs
index 99937681..c6d3db63 100644
--- a/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs
+++ b/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs
@@ -41,32 +41,10 @@ mod imp {
     };
     use std::cell::RefCell;
 
-    #[cfg(feature = "libadwaita")]
     #[derive(CompositeTemplate, Default, Properties)]
     #[properties(wrapper_type = super::PowerCapSection)]
-    #[template(file = "ui/oc_page/power_cap_section.blp")]
-    pub struct PowerCapSection {
-        #[property(get, set)]
-        pub current_value: RefCell<f64>,
-        #[property(get, set)]
-        pub max_value: RefCell<f64>,
-        #[property(get, set)]
-        pub min_value: RefCell<f64>,
-        #[property(get, set)]
-        pub default_value: RefCell<f64>,
-        #[property(get, set)]
-        pub value_text: RefCell<String>,
-
-        #[template_child]
-        pub adjustment: TemplateChild<OcAdjustment>,
-        #[template_child]
-        pub reset_button: TemplateChild<Button>,
-    }
-
-    #[cfg(not(feature = "libadwaita"))]
-    #[derive(CompositeTemplate, Default, Properties)]
-    #[properties(wrapper_type = super::PowerCapSection)]
-    #[template(file = "ui/oc_page/power_cap_section_gtk.blp")]
+    #[cfg_attr(feature = "libadwaita", template(file = "ui/oc_page/power_cap_section.blp"))]
+    #[cfg_attr(not(feature = "libadwaita"), template(file = "ui/oc_page/power_cap_section_gtk.blp"))]
     pub struct PowerCapSection {
         #[property(get, set)]
         pub current_value: RefCell<f64>,

